List API Keys
curl --request GET \
--url https://{brand_domain}/api/v1/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'X-Super-Admin-Email: <x-super-admin-email>'import requests
url = "https://{brand_domain}/api/v1/api-keys"
headers = {
"X-Super-Admin-Email": "<x-super-admin-email>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Super-Admin-Email': '<x-super-admin-email>',
Authorization: 'Bearer <token>'
}
};
fetch('https://{brand_domain}/api/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 4,
"name": "POS-System-Integration",
"prefix": "op_live_5gH2",
"status": "active",
"last_used": "2026-06-23T14:18:22Z",
"expires_at": null,
"created_at": "2026-06-21T09:00:00Z"
}
]
}{
"success": false,
"error": "Payment not found",
"errors": [
{
"code": "PAYMENT_NOT_FOUND",
"message": "Payment not found",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}{
"success": false,
"error": "Payment not found",
"errors": [
{
"code": "PAYMENT_NOT_FOUND",
"message": "Payment not found",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}{
"success": false,
"error": "Payment not found",
"errors": [
{
"code": "PAYMENT_NOT_FOUND",
"message": "Payment not found",
"field": null
}
],
"request_id": "8f5a2e9b0c7d4e5f"
}List API Keys
Lists metadata for all API keys created for the brand. Full key secrets are hashed and never returned in list metadata for security.
Requires special admin authorization: API key must possess write and admin scopes, and the X-Super-Admin-Email header
must identify an active superadmin user.
GET
/
api-keys
List API Keys
Last modified on July 12, 2026
Was this page helpful?
⌘I